$borderRadius: 0.3rem;

.button {
    background-color: white;
    border: 2px solid lightgrey;
    border-radius: $borderRadius;
    padding: 0.5rem 1.5rem;

    &:hover {
        cursor: pointer;
        background-color: whitesmoke;
    }

    &:disabled {
        cursor: not-allowed;
        background-color: lightgrey;
    }

    &_success {
        border-color: lightgreen;
    }

    &_warning {
        border-color: orange;
    }
}

.filters {
    display: flex;
    flex-wrap: wrap;
    border: 2px solid grey;
    border-radius: $borderRadius;

    &__item {
        display: inline-flex;
        flex-direction: column;
        margin-right: 1rem;
        margin-bottom: 1rem;

        &:last-child {
            margin-right: 0;
        }
    }

    &__inputs-wrapper {
        display: flex;
    }

    &__range-delimiter {
        align-self: center;
        padding: 0 0.2rem;
    }

    &__button {
        margin-right: 1rem;

        &:last-child {
            margin-right: 0;
        }
    }
}

.select {
    border: 2px solid lightgrey;
    border-radius: $borderRadius;
    background-color: white;
    padding: 0.5rem;
    min-width: 120px;
}

.input {
    padding: 0.5rem;
    border: 2px solid lightgrey;
    border-radius: $borderRadius;

    &_date {
        padding: 0.35rem;
    }
}

.table {
    border: 2px solid lightgrey;
    border-radius: $borderRadius;
    width: 100%;

    th, td {
        border: 2px solid lightgrey;
    }
}

.pagination {
    display: flex;
    justify-content: center;

    &__item {
        margin-right: 0.5rem;

        &:last-child {
            margin-right: 0;
        }
    }
}

.app {
    &__filters {
        margin-top: 1rem;
        margin-bottom: 1rem;
        padding: 1rem;
    }

    &__pagination {
        margin-top: 1rem;
    }
}
